SWIFT 2006 Message Pack Installation Guide
[image]

In order to provide industry-standard compliance with the SWIFT 2006 Standards Release Guide (SRG) specification, Microsoft has released the SWIFT 2006 Message Pack for Microsoft BizTalk Accelerator for SWIFT (A4SWIFT) 2.1 and the SWIFT 2006 Message Pack for Microsoft BizTalk Accelerator for SWIFT (A4SWIFT) 2.3. Upgrading to this new release provides the compatibility required for ongoing use of the SWIFT standard to be imposed starting in November 2006. The SWIFT 2006 Message Pack requires that users also apply Microsoft BizTalk Accelerator for SWIFT 2.1 Service Pack 1 or Microsoft BizTalk Accelerator for SWIFT 2.3 Service Pack 1, depending on the version of SWIFT the user has deployed.

This document provides guidance on the upgrade process to ensure minimum downtime. It also describes the behavior changes in the release so you can plan accordingly.

The SWIFT 2006 Message Pack for Microsoft BizTalk Accelerator for SWIFT contains the following:

  • Complete repackaging of all SWIFT FIN FF message types and business rules (not just net-change).

  • Updates to schemas and business rules to be fully compliant with the Standards Release Guide (SRG) specification.

  • Software updates related to schemas and business rules that are not superseded by SWIFT 2006 SRG specifications.

Note
The Message Pack does not contain any components outside of schemas, business rules, and Microsoft Office InfoPath 2003 forms.

Prerequisites

If you are using BizTalk Server 2004, you must install Service Pack 1 for A4SWIFT 2.1.

If you are using BizTalk Server 2006, you must install Service Pack 1 for A4SWIFT 2.3.

Installation

  1. Back up the A4SWIFT database and your SWIFT message schemas.

  2. Install the SWIFT 2006 Message Pack on all computers in the deployment that have A4SWIFT components installed.

    Note
    Installing the SWIFT 2006 Message Pack will not automatically validate messages for SWIFT 2006 SRG compliance. Follow these steps to enable SWIFT 2006 SRG validation.

Enabling SWIFT 2006 SRG Validation

On November 18, the SWIFT Network will enforce mandatory compliance with SWIFT 2006 SRG specifications. You will need to coordinate your SWIFT 2006 Message Pack deployment efforts with the SWIFT Network SRG enforcement. By first installing and then enabling the Message Pack, you can have it installed and still be using 2005 schemas and validation rules. (All SWIFT 2006 SRG artifacts are installed to a separate folder so that the SWIFT 2005 SRG artifacts are preserved and still deployed.) You can then choose when to transition to the SWIFT 2006 SRG by choosing when you enable the SWIFT 2006 SRG specifications.

  1. Rebuild and deploy the schema assemblies with the schemas provided in the MessagePack under %programfiles%\ Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\SWIFT Messages\A4SWIFT-SRG2006. The rebuilt schema assemblies will have to be installed in the global assembly cache (GAC) on all computers that have the A4SWIFT run-time components installed.

    Note
    If any custom changes have been made to these schemas, the same changes must be made to the Message Pack schemas after adding them to the schema projects.

    Note
    The Message Pack does not support side-by-side deployment of SWIFT 2006 SRG schema assemblies with SWIFT 2005 SRG schema assemblies. Message instances currently being processed that were parsed with SWIFT 2005 SRG schema assemblies may be suspended depending on the level of change between 2005 and 2006 for the message type in question. Any suspended messages can then be resumed so that they use SWIFT 2006 SRG schemas and validation policies.

  2. Undeploy all existing (SWIFT 2005 SRG) schema assemblies. In a multicomputer environment, you must manually remove these schema assemblies from the GACof all run-time servers and the BAS server.

  3. Undeploy all existing (SWIFT 2005 SRG) Business Rule Engine (BRE) policies by running the BRE Deployment utility. Manually remove the A4SWIFT_Codelist and A4SWIFT_Functions vocabularies using the Business Rule Engine Composer tool.

  4. Back up the BREDeployment utility configuration file BREDeployment.exe.config from the %programfiles%\Microsoft BizTalk Accelerator for SWIFT\SDK\Tools folder. Open the configuration file in an editor and modify the values of the following keys to point to the appropriate directories in the SWIFT 2006 Message Pack installation directory. For example:

    Copy Code
    <add key="BasePoliciesDirectory" value="C:\Program Files\Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\SWIFT Messages\A4SWIFT-SRG2006\Base Policies" />
<add key="SchemasDirectory" value="C:\Program Files\Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\SWIFT Messages\A4SWIFT-SRG2006" />
<add key="VocabularyDirectory" value="C:\Program Files\Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\SWIFT Messages\A4SWIFT-SRG2006\Base Policies\Vocabulary" />
  5. Save this version of BREDeployment.exe.config before starting the BREDeployment utility.

  6. Run the BRE Deployment utility and point it to the schema assembly deployed in step 1.

  7. If Microsoft Office InfoPath 2003 forms have been published previously, they need to be unpublished and republished with the forms in the Message Pack on the server that hosts BAS. In a command prompt, navigate to the %program files%\Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\Tools folder and run FormPublish.exe with the –d option. This will unpublish your previous forms. Then publish the SWIFT 2006 Message Pack InfoPath forms by running FormPublish.exe again with the –p option.

  8. Configure your assemblies using the .NET 1.1 Configuration Wizard. For more information about configuring the assemblies, see "Configuring .NET Framework 1.1 Assembly Bindings" later in this document.

    Note
    This indirection must be performed on each of the computers that has BizTalk Accelerator for SWIFT 2006 Message Pack installed.

Disabling SRG 2006 Validation

  1. Rebuild and deploy the schema assemblies with the schemas provided in the original SWIFT Accelerator under %programfiles%\ Microsoft BizTalk Accelerator for SWIFT\SWIFT Messages\A4SWIFT 2.1 OR %programfiles%\ Microsoft BizTalk Accelerator for SWIFT\SWIFT Messages\A4SWIFT 2.3. Rebuild and deploy schema assemblies to the GAC on all runtime servers and the BAS server in your deployment environment.

  2. Undeploy all existing SRG 2006 schema assemblies and remove them from the GAC on all runtime servers and the BAS server in your deployment environment.

  3. Undeploy all SWIFT 2006 Message Pack BRE policies by running the BRE Deployment utility. Manually remove the A4SWIFT_Codelist and A4SWIFT_Functions vocabulary using the Business Rule Engine Composer tool.

    Note
    Before rebuilding and redeploying your schemas project remove all Message Pack schemas and replace them with schemas from A4SWIFT 2.1. Any custom changes made to those schemas may not be preserved.

  4. Go to the %programfiles%\Microsoft BizTalk Accelerator for SWIFT\SDK\Tools folder and back up the existing BREDeployment.exe.config. Replace the BREDeployment utility configuration file that was backed up in step 4 of the Enabling SWIFT 2006 SRG Validation section of this document, such that the following keys now point to the appropriate directories in the A4SWIFT 2.1 or the A4SWIFT 2.3 installation directory. For example:

    Copy Code
    <add key="BasePoliciesDirectory" value="C:\Program Files\Microsoft BizTalk Accelerator for SWIFT\SWIFT Messages\A4SWIFT 2.1\Base Policies" />
<add key="SchemasDirectory" value="C:\Program Files\Microsoft BizTalk Accelerator for SWIFT\SWIFT Messages\A4SWIFT 2.1" />
<add key="VocabularyDirectory" value="C:\Program Files\ Microsoft BizTalk Accelerator for SWIFT\SWIFT Messages\A4SWIFT 2.1\Vocabulary" />
  5. Run the BREDeployment utility and point it to the schema assembly deployed in step 1.

  6. If you published any InfoPath forms previously, you will have to unpublish and republish the forms present in the A4SWIFT 2.1 or the A4SWIFT 2.3 installation directory on the BAS server. In a command prompt, navigate to the %program files%\Microsoft BizTalk Accelerator for SWIFT\SDK\Tools folder and run FormPublish.exe –d. This will unpublish your previous forms. Then publish the InfoPath forms with the following command: FormPublish.exe –p.

  7. Remove assembly configuration using the .NET 1.1 Configuration Wizard. See Section 3 for details.

    Note
    This configuration must be removed on each of the run-time computers and the BAS server in your deployment.

  8. Rebuild and deploy any projects or assemblies that you had previously used with A4SWIFT 2.1 or A4SWIFT 2.3 as applicable.

Note
For BizTalk Server 2006 and A4SWIFT 2.3 customers: In BizTalk Server 2006, to facilitate distributed deployments, the BizTalk Management database stores a binary copy of each of the deployed assemblies. This is later used in the MSI package creation that can be reused to deploy any BizTalk application on a large scale. In case you choose to GAC an assembly instead of deploying it, you will not be able to use the MSI feature provided by BizTalk Server 2006. For more information about installing BizTalk Server 2006 in a multiserver environment, see http://go.microsoft.com/fwlink/?LinkId=73512.

Uninstalling Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack

  1. Using Add/Remove Programs, select Remove for SWIFT Message Pack 2006.

  2. Restart the computer to ensure the GAC has been updated to reflect the older assemblies now registered. Until the computer is restarted, you may see the higher file versions still in the GAC.

Configuring .NET Framework 1.1 Assembly Bindings

You must configure the assembly bindings on all computers in your environment using .NET Framework 1.1. You do not need to configure the assembly bindings for computers using .NET Framework 2.0.

To configure the assembly bindings for computers using .NET Framework 1.1

  1. In Control Panel, open Administrative Tools.

  2. Double-click Microsoft .NET Framework 1.1 Configuration.

  3. Click the Configured Assemblies node in the left pane of the configuration tool.

  4. In the Configured Assemblies section in the right pane, click Configure an Assembly option under Tasks.

    .Net Coinfigured Assemblies pane
  5. Click Choose an assembly from the assembly cache.

  6. Click Choose Assembly.

    Assembly Chooser dialog
  7. Select the following assembly from the assembly cache: Microsoft.Solutions.FinancialServices.SWIFT.CommonFunctions. Ensure the version selected is 2.0.0.0.

  8. Click the Select button.

  9. Click the Finish button.

  10. On the Binding Policy tab, enter 2.0.0.0 in the Requested Version column and 2.5.0.0 in the New Version column.

  11. Click OK to complete the assembly configuration of the Microsoft.Solutions.FinancialServices.SWIFT.CommonFunctions assembly.

    .Net Assembly configuration dialog
  12. Repeat steps 4 through 11 to configure the Microsoft.Solutions.FinancialServices.SWIFT.RuntimeSchemas assembly.

    Note
    The configured assemblies can be viewed by clicking the View List Of Configured Assemblies option shown in the screen in step 4.

  13. Restart the BizTalk Host service instances and the Business Rule Engine update service.

Updating Custom MRSRs

If you are using custom MRSRs located in the %program files%\Microsoft BizTalk Accelerator for SWIFT \SDK\Samples\CustoMRSRModel folder, you must update the tables in the custom MRSR database to make the Message Pattern feature compatible with changes in the SWIFT 2006 Standards Release Guide specifications.

To update the custom MRSR tables, run the UpdateDefualtDataSRG2006.sql script located in the %program files%\Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack\SDK\Samples\CustomMRSRModel\DB\SRG2006\ folder.

If you do not run the script, you will not be able to create patterns specific to the SRG 2006 update. Patterns related to non-SRG2006 changes will continue to function.

Known Issues

Uninstalling the SWIFT 2006 Message Pack leaves behind the root folder.

  • Issue: When you uninstall the SWIFT 2006 Message Pack, you might notice that the following folder is not deleted: Microsoft BizTalk Accelerator for SWIFT 2006 Message Pack.

  • Resolution: You can safely delete this folder manually after uninstalling the Message Pack.

Copyright

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted in examples herein are fictitious. No association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2006 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Server, Windows Vista, and BizTalk are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.